'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const jsonc = require('jsonc-parser');
const fs = require('fs');

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  const n = Object.create(null);
  if (e) {
    for (const k in e) {
      n[k] = e[k];
    }
  }
  n["default"] = e;
  return n;
}

const jsonc__namespace = /*#__PURE__*/_interopNamespace(jsonc);

function definePackageJSON(pkg) {
  return pkg;
}
function defineTSConfig(tsconfig) {
  return tsconfig;
}
async function readPackageJSON(path) {
  const blob = await fs.promises.readFile(path, "utf-8");
  return JSON.parse(blob);
}
async function writePackageJSON(path, pkg) {
  await fs.promises.writeFile(path, JSON.stringify(pkg, null, 2));
}
async function readTSConfig(path) {
  const blob = await fs.promises.readFile(path, "utf-8");
  return jsonc__namespace.parse(blob);
}
async function writeTSConfig(path, tsconfig) {
  await fs.promises.writeFile(path, JSON.stringify(tsconfig, null, 2));
}

exports.definePackageJSON = definePackageJSON;
exports.defineTSConfig = defineTSConfig;
exports.readPackageJSON = readPackageJSON;
exports.readTSConfig = readTSConfig;
exports.writePackageJSON = writePackageJSON;
exports.writeTSConfig = writeTSConfig;
