import * as jsonc from 'jsonc-parser';
import { promises } from 'fs';

function definePackageJSON(pkg) {
  return pkg;
}
function defineTSConfig(tsconfig) {
  return tsconfig;
}
async function readPackageJSON(path) {
  const blob = await promises.readFile(path, "utf-8");
  return JSON.parse(blob);
}
async function writePackageJSON(path, pkg) {
  await promises.writeFile(path, JSON.stringify(pkg, null, 2));
}
async function readTSConfig(path) {
  const blob = await promises.readFile(path, "utf-8");
  return jsonc.parse(blob);
}
async function writeTSConfig(path, tsconfig) {
  await promises.writeFile(path, JSON.stringify(tsconfig, null, 2));
}

export { definePackageJSON, defineTSConfig, readPackageJSON, readTSConfig, writePackageJSON, writeTSConfig };
